<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('variant_values', function (Blueprint $table): void {
            $table->dropUnique('variant_values_variant_id_item_attribute_id_unique');
        });
    }

    public function down(): void
    {
        Schema::table('variant_values', function (Blueprint $table): void {
            $table->unique(['variant_id', 'item_attribute_id']);
        });
    }
};
